Bug 1208203 - RFE: Add lz4-static subpackage build to 'Everything' to allow for zlib-static migration
Summary: RFE: Add lz4-static subpackage build to 'Everything' to allow for zlib-static...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lz4
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: pjp
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-01 16:12 UTC by Japheth Cleaver
Modified: 2015-06-18 18:34 UTC (History)
2 users (show)

Fixed In Version: lz4-r129-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-21 18:42:19 UTC


Attachments (Terms of Use)
Patch for Rawhide (lz4-r127-2) version of lz4.spec (615 bytes, patch)
2015-04-01 16:12 UTC, Japheth Cleaver
no flags Details | Diff

Description Japheth Cleaver 2015-04-01 16:12:55 UTC
Created attachment 1009740 [details]
Patch for Rawhide (lz4-r127-2) version of lz4.spec

Description of problem:
Although static subpackages are discouraged in Fedora, one of the generally-accepted exceptions is for compression libraries, especially low-level ones, as there can be various low-level utilities that for whatever reason can be statically compiled.

lz4 is missing an lz4-static subpackage, which makes it a little harder for those users to use it as a downstream replacement for zlib-static or xz-static.


Version-Release number of selected component (if applicable):
All

How reproducible:
Always

Steps to Reproduce:
1. Add Fedora 'Everything' repo
2. yum install lz4-static
3.

Actual results:
Not available

Expected results:
Available


Additional info:
Again, this isn't a request to add it to the normal Fedora distribution, only to have it built generally (and available in the Fedora-Everything repo). As it stands, users that need a static version of the library have to replace the existing RPM when rebuilding the SRPM.

Comment 1 Fedora Update System 2015-04-06 10:20:43 UTC
lz4-r128-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/lz4-r128-2.fc22

Comment 2 Fedora Update System 2015-04-06 10:20:52 UTC
lz4-r128-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/lz4-r128-2.el7

Comment 3 Fedora Update System 2015-04-06 17:40:17 UTC
Package lz4-r128-2.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lz4-r128-2.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-5652/lz4-r128-2.fc22
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2015-04-08 06:32:25 UTC
lz4-r128-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/lz4-r128-2.fc21

Comment 5 Fedora Update System 2015-04-08 06:32:34 UTC
lz4-r128-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/lz4-r128-2.fc20

Comment 6 Fedora Update System 2015-04-08 06:32:42 UTC
lz4-r128-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/lz4-r128-2.el5

Comment 7 Fedora Update System 2015-04-08 06:32:52 UTC
lz4-r128-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/lz4-r128-2.el6

Comment 8 Fedora Update System 2015-04-21 18:42:19 UTC
lz4-r128-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-04-21 19:25:40 UTC
lz4-r128-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-04-24 22:45:53 UTC
lz4-r128-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-05-27 10:30:34 UTC
lz4-r129-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/lz4-r129-1.el7

Comment 12 Fedora Update System 2015-05-27 10:30:46 UTC
lz4-r129-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/lz4-r129-1.fc21

Comment 13 Fedora Update System 2015-05-27 10:30:58 UTC
lz4-r129-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/lz4-r129-1.fc20

Comment 14 Fedora Update System 2015-05-27 10:32:12 UTC
lz4-r129-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/lz4-r129-1.el5

Comment 15 Fedora Update System 2015-05-27 10:32:22 UTC
lz4-r129-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/lz4-r129-1.el6

Comment 16 Fedora Update System 2015-05-27 10:34:39 UTC
lz4-r129-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/lz4-r129-1.fc22

Comment 17 Fedora Update System 2015-06-01 16:59:25 UTC
lz4-r129-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2015-06-09 15:20:10 UTC
lz4-r129-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2015-06-15 13:30:53 UTC
lz4-r129-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2015-06-18 18:33:06 UTC
lz4-r129-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2015-06-18 18:33:18 UTC
lz4-r129-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2015-06-18 18:34:53 UTC
lz4-r129-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.